MCP Reference: bigtable.googleapis.com

A Model Context Protocol (MCP) server acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.

Server Setup

You must enable MCP servers and set up authentication before use. For more information about using Google and Google Cloud remote MCP servers, see Google Cloud MCP servers overview.

Server Endpoints

An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.

The Cloud Bigtable API MCP server has the following global MCP endpoint:

  • https://bigtable.googleapis.com/mcp

MCP Tools

An MCP tool is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.

Tools

The bigtable.googleapis.com MCP server has the following tool:

MCP Tools
execute_sql

Executes a SQL query against a Bigtable instance. The tool returns at least 10 MiB of the proto-serialized result set (or just one row if the size of the proto-serialized representation of the row exceeds 10 MiB). The RPC may return more than 10 MiB of proto-serialized result set for performance reasons.

To support dynamic routing (which directs requests to the region where your data resides), set the x-goog-request-params header in the HTTP request to instance_name=<INSTANCE_NAME>. The instance name is the fully qualified resource name (e.g., projects/my-project/instances/my-instance). It can be provided as-is (raw string) or URL-encoded (e.g., projects%2Fmy-project%2Finstances%2Fmy-instance).

Get MCP tool specifications

To get the MCP tool specifications for all tools in an MCP server, use the tools/list method. The following example demonstrates how to use curl to list all tools and their specifications currently available within the MCP server.

Curl Request
                      
curl --location 'https://bigtable.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
    "method": "tools/list",
    "jsonrpc": "2.0",
    "id": 1
}'